-- Owen Ouimette LevelBuddy 2017

-- DONT DELETE THESE TOP COMMENT DASHES

-- To change the song that plays get the file you want then make sure you can see the
-- file extensions. Change .mp3 (.mov .mp4 etc) to .ogg. Then put the .ogg into LB_Cheer.
-- Rename PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg") from instead of Hotel.ogg to your 
-- song then save. I'd recommend putting Coin.ogg or cheer.ogg on top but if you want to
-- completely disable either sound put 2 dashes in front of PlaySoundFile.

-- I've already put multiple songs into the LB_Cheer folder.

print ('Music addon loaded')
local Congrats_EventFrame = CreateFrame("Frame")
Congrats_EventFrame:RegisterEvent("PLAYER_LEVEL_UP")
Congrats_EventFrame:SetScript("OnEvent",
    function(self, event, ...)
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\powerup.ogg")
		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
		-- EDIT ME
		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
		-- EDIT ME
		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
		-- EDIT ME
		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")

	end)
	--Example
--print ('Music addon loaded')
--local Congrats_EventFrame = CreateFrame("Frame")
--Congrats_EventFrame:RegisterEvent("PLAYER_LEVEL_UP")
--Congrats_EventFrame:SetScript("OnEvent",
--    function(self, event, ...)
--		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\powerup.ogg") <---------
--		NO DASHES SHOULD BE HERE IF YOU WANT 2 SOUNDS-->PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Coin.ogg") <----------
--		-- EDIT ME
--		DASHES DISABLE-->--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
--		-- EDIT ME
--		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
--		-- EDIT ME
--		--PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
--
--	end)